Docs Rizler

Phone Numbers

Purchase Phone Number

POSThttps://app.rizzdial.com/api/phone-numbers/purchase
Purchase Phone Number
curl --request POST \
  --url https://app.rizzdial.com/api/phone-numbers/purchase \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "phoneNo": "PURCHASE_TOKEN",
  "provider": "Twilio"
}'
{
  "message": "Number purchased successfully.",
  "success": true
}

Purchase Phone Number#

Buys a Twilio number from Search Available Numbers. Send the purchase_token as phoneNo. Twilio credentials and account balance must already be set.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

providerstringbodyrequired

Must be Twilio

phoneNostringbodyrequired

purchase_token from Search Available Numbers

curl --request POST \
  --url https://app.rizzdial.com/api/phone-numbers/purchase \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"provider":"Twilio","phoneNo":"PURCHASE_TOKEN"}'
successboolean

true when the number is purchased

messagestring

Success or error text from Twilio

baseNo is accepted as an alias of phoneNo.